## golang-github-hashicorp-raft 0.0~git20150723.8fd9a2f

=== debian/changelog ===
golang-github-hashicorp-raft (0.0~git20150723.8fd9a2f-1) unstable; urgency=medium

  * Initial release. (Closes: #792620)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 16 Jul 2015 15:07:48 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOPKG := github.com/hashicorp/raft

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-hashicorp-raft 1.1.1

=== Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)
TEST_RESULTS_DIR?=/tmp/test-results

test:
	go test -timeout=60s -race .

integ: test
	INTEG_TESTS=yes go test -timeout=25s -run=Integ .

ci.test-norace:
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s

ci.test:
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s -race .

ci.integ: ci.test
	INTEG_TESTS=yes gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-integ.xml -- -timeout=25s -run=Integ .

fuzz:
	go test -timeout=300s ./fuzzy

deps:
	go get -t -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

cov:
	INTEG_TESTS=yes gocov test github.com/hashicorp/raft | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

.PHONY: test cov integ deps

## golang-github-hashicorp-raft 0.0~git20150728.9b586e2

=== debian/changelog ===
golang-github-hashicorp-raft (0.0~git20150728.9b586e2-2) unstable; urgency=medium

  * Disable all tests in raft_test.go as they are
    timing dependent (Closes: #796469)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sun, 23 Aug 2015 00:05:47 -0400

golang-github-hashicorp-raft (0.0~git20150728.9b586e2-1) unstable; urgency=medium

  * New upstream release
  * Temporarily disable some unstable tests until uptream issue #55 is fixed

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sun, 02 Aug 2015 13:51:44 -0400

=== debian/control ===
Source: golang-github-hashicorp-raft
Section: devel
Priority: extra
Homepage: https://github.com/hashicorp/raft
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-msgpack-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-raft.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft.git

Package: golang-github-hashicorp-raft-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-msgpack-dev
Built-Using: ${misc:Built-Using}
Description: implementation of the Raft consensus protocol
 raft is a Go library that manages a replicated log and can be
 used with an FSM to manage replicated state machines. It is
 a library for providing consensus.

## golang-github-hashicorp-raft 0.0~git20160317.0.3359516

=== debian/changelog ===
golang-github-hashicorp-raft (0.0~git20160317.0.3359516-1~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Thu, 04 Aug 2016 10:38:15 +1000

golang-github-hashicorp-raft (0.0~git20160317.0.3359516-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Standards-Version: 3.9.7.
  * Vcs-Browser URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 18:12:12 +1100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Homepage: https://github.com/hashicorp/raft
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <alexandre@alexandreviau.net>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-raft.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft.git
 
 Package: golang-github-hashicorp-raft-dev
 Architecture: all

## golang-github-hashicorp-raft 1.0.0

=== debian/changelog ===
golang-github-hashicorp-raft (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, with API incompatible changes.
  * Refresh patches.
  * Exclude fuzzy/ package from tests, to avoid circular dependency.

 -- Martín Ferrari <tincho@debian.org>  Mon, 23 Oct 2017 04:25:54 +0000

golang-github-hashicorp-raft (0.0~git20170824.3b4d64b-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL
  * Remove Built-Using from arch:all -dev package

  [ Martín Ferrari ]
  * New upstream snapshot.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * debian/copyright: Format uses insecure http protocol instead of
    https
  * Go back to following upstream git, and disable pristine-tar.

 -- Martín Ferrari <tincho@debian.org>  Tue, 26 Sep 2017 12:01:48 +0000

=== debian/control ===
Source: golang-github-hashicorp-raft
Section: devel
Priority: extra
Homepage: https://github.com/hashicorp/raft
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-msgpack-dev,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-raft.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/hashicorp/raft

Package: golang-github-hashicorp-raft-dev
Architecture: all
Depends: golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-msgpack-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implementation of the Raft consensus protocol
 raft is a Go library that manages a replicated log and can be
 used with an FSM to manage replicated state machines. It is
 a library for providing consensus.

## golang-github-hashicorp-raft 1.0.0%2Bgit20171204.0919aa6

=== debian/changelog ===
golang-github-hashicorp-raft (1.0.0+git20171204.0919aa6-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:48:18 -0500

golang-github-hashicorp-raft (1.0.0+git20171204.0919aa6-2) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:28:52 -0500

golang-github-hashicorp-raft (1.0.0+git20171204.0919aa6-1) unstable; urgency=medium

  * Move to salsa.debian.org.
  * Priority extra -> optional.
  * Change my email to @debian.org.
  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 03:34:20 -0500

## golang-github-hashicorp-raft 1.0.0%2Bgit20180823.82694fb

=== debian/changelog ===
golang-github-hashicorp-raft (1.0.0+git20180823.82694fb-3) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 11:51:21 -0500

golang-github-hashicorp-raft (1.0.0+git20180118.077966db-2) unstable; urgency=medium

  * Team upload.
  * New patch to disable unreliable test (Closes: #907764).
  * debhelper & compat to version 11.
  * Standards-Version: 4.2.1.
  * Added watch file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 25 Sep 2018 11:21:53 +1000

golang-github-hashicorp-raft (1.0.0+git20180118.077966db-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Jun 2018 15:58:27 +1000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: golang-github-hashicorp-raft
 Section: devel
-Priority: extra
+Priority: optional
+Standards-Version: 4.2.1
 Homepage: https://github.com/hashicorp/raft
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>,
+Uploaders: Alexandre Viau <aviau@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-raft.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft.git
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/hashicorp/raft

## golang-github-hashicorp-raft 1.0.0+git20171204.0919aa6

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: golang-github-hashicorp-raft
 Section: devel
 Priority: optional
-Standards-Version: 4.2.1
 Homepage: https://github.com/hashicorp/raft
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-any,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev,
-Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft
-Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/packages/golang-github-hashicorp-raft
+Vcs-Git: https://salsa.debian.org/pkg-go-team/packages/golang-github-hashicorp-raft.git
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/hashicorp/raft

## golang-github-hashicorp-raft 1.1.1

=== debian/changelog ===
golang-github-hashicorp-raft (1.1.1-5) unstable; urgency=medium

  * Disabled unreliable "TestRaft_AutoSnapshot".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 18:18:53 +1100

golang-github-hashicorp-raft (1.1.1-4) unstable; urgency=medium

  * patch correction: disabled "TestRaft_RecoverCluster".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Dec 2019 19:31:12 +1100

golang-github-hashicorp-raft (1.1.1-3) unstable; urgency=medium

  * Disabled randomly failing test (Closes: #923820).
  * Standards-Version: 4.4.1
  * (Build-)Depends:
    = golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Dec 2019 11:01:12 +1100

golang-github-hashicorp-raft (1.1.1-2) unstable; urgency=medium

  * (Build-)Depends += "golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)"
  * New patch to disable unreliable test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Oct 2019 20:36:23 +1100

golang-github-hashicorp-raft (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to Uploaders.
  * DH & compat to version 12.
  * Standards-Version: 4.4.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Sep 2019 14:40:21 +1000

golang-github-hashicorp-raft (1.0.0+git20180823.82694fb-4) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Sep 2019 17:59:07 -0400

=== debian/control ===
Source: golang-github-hashicorp-raft
Section: devel
Priority: optional
Standards-Version: 4.4.1
Homepage: https://github.com/hashicorp/raft
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper (>= 12~),
               dh-golang,
               golang-any,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
               golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/hashicorp/raft

Package: golang-github-hashicorp-raft-dev
Architecture: all
Depends: golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
         golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: implementation of the Raft consensus protocol
 raft is a Go library that manages a replicated log and can be
 used with an FSM to manage replicated state machines. It is
 a library for providing consensus.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/hashicorp/raft/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-hashicorp-raft 1.1.2

=== Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)
ENV  = $(shell go env GOPATH)
GO_VERSION  = $(shell go version)
GOLANG_CI_VERSION = v1.19.0

# Look for versions prior to 1.10 which have a different fmt output
# and don't lint with gofmt against them.
ifneq (,$(findstring go version go1.8, $(GO_VERSION)))
	FMT=
else ifneq (,$(findstring go version go1.9, $(GO_VERSION)))
	FMT=
else
    FMT=--enable gofmt
endif

TEST_RESULTS_DIR?=/tmp/test-results

test:
	go test $(TESTARGS) -timeout=60s -race .
	go test $(TESTARGS) -timeout=60s -tags batchtest -race .

integ: test
	INTEG_TESTS=yes go test $(TESTARGS) -timeout=25s -run=Integ .
	INTEG_TESTS=yes go test $(TESTARGS) -timeout=25s -tags batchtest -run=Integ .

ci.test-norace:
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s -tags batchtest

ci.test:
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s -race .
	gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-test.xml -- -timeout=60s -race -tags batchtest .

ci.integ: ci.test
	INTEG_TESTS=yes gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-integ.xml -- -timeout=25s -run=Integ .
	INTEG_TESTS=yes gotestsum --format=short-verbose --junitfile $(TEST_RESULTS_DIR)/gotestsum-report-integ.xml -- -timeout=25s -run=Integ -tags batchtest .

fuzz:
	go test $(TESTARGS) -timeout=20m ./fuzzy
	go test $(TESTARGS) -timeout=20m -tags batchtest ./fuzzy

deps:
	go get -t -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

lint:
	gofmt -s -w .
	golangci-lint run -c .golangci-lint.yml $(FMT) .

dep-linter:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(ENV)/bin $(GOLANG_CI_VERSION)

cov:
	INTEG_TESTS=yes gocov test github.com/hashicorp/raft | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

.PHONY: test cov integ deps dep-linter lint

=== debian/changelog ===
golang-github-hashicorp-raft (1.1.2-2) unstable; urgency=medium

  * Team upload
  * Disabled unreliable "TestRaft_UserRestore"

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 24 Jun 2023 16:59:00 +0000

golang-github-hashicorp-raft (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jan 2020 18:15:42 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
             Dmitry Smirnov <onlyjob@debian.org>,
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-armon-go-metrics-dev,

## golang-github-hashicorp-raft 1.2.1

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 TEST_RESULTS_DIR?=/tmp/test-results
 
 test:
-	go test $(TESTARGS) -timeout=60s -race .
-	go test $(TESTARGS) -timeout=60s -tags batchtest -race .
+	GOTRACEBACK=all go test $(TESTARGS) -timeout=60s -race .
+	GOTRACEBACK=all go test $(TESTARGS) -timeout=60s -tags batchtest -race .
 
 integ: test
 	INTEG_TESTS=yes go test $(TESTARGS) -timeout=25s -run=Integ .

=== debian/changelog ===
golang-github-hashicorp-raft (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 4.6.2 (no changes)
  * Replace dh-golang with dh-sequence-golang
  * debian/gbp.conf: update to current team standards
  * debian/control:
    - update Maintainer email address
    - change Section to golang
    - reorder fields based on dh-make-golang template
    - wrap-and-sort -at
    - add Rules-Requires-Root: no
    - add Multi-Arch: foreign

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 18 Jul 2023 21:00:49 +0000

=== debian/control ===
Source: golang-github-hashicorp-raft
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-sequence-golang,
               golang-any,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
               golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft.git
Homepage: https://github.com/hashicorp/raft
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/raft

Package: golang-github-hashicorp-raft-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
         golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: implementation of the Raft consensus protocol
 raft is a Go library that manages a replicated log and can be
 used with an FSM to manage replicated state machines. It is
 a library for providing consensus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The test framework requires raft-boltdb, and thus creates a circular
# dependency.
export DH_GOLANG_EXCLUDES := fuzzy

%:
	dh $@ --buildsystem=golang

## golang-github-hashicorp-raft 1.3.11

=== debian/changelog ===
golang-github-hashicorp-raft (1.3.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new build-dep golang-github-stretchr-testify-dev
  * Bump debhelper-compat version to 13
  * Refresh / drop obsolete patches
  * Drop unnecessary ${shlibs:Depends} for -dev binary package

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 21 Jul 2023 16:12:54 +0000

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/"
  https://github.com/hashicorp/raft/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-hashicorp-raft 1.4.0

=== debian/changelog ===
golang-github-hashicorp-raft (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/watch: fix omitted trailing slash

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Jul 2023 11:05:05 +0000

golang-github-hashicorp-raft (1.3.11-2) unstable; urgency=medium

  * Team upload
  * Expand scope of unreliable tests to skip (on any arch)
  * Ignore dh_auto_test failure on s390x, due to significant number of tests
    which fail *intermittently*

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 22 Jul 2023 13:13:38 +0000

## golang-github-hashicorp-raft 1.5.0

=== Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)
ENV  = $(shell go env GOPATH)
GO_VERSION  = $(shell go version)
GOLANG_CI_VERSION = v1.19.0

# Look for versions prior to 1.10 which have a different fmt output
# and don't lint with gofmt against them.
ifneq (,$(findstring go version go1.8, $(GO_VERSION)))
	FMT=
else ifneq (,$(findstring go version go1.9, $(GO_VERSION)))
	FMT=
else
    FMT=--enable gofmt
endif

TEST_RESULTS_DIR?=/tmp/test-results

test:
	GOTRACEBACK=all go test $(TESTARGS) -timeout=180s -race .
	GOTRACEBACK=all go test $(TESTARGS) -timeout=180s -tags batchtest -race .

integ: test
	INTEG_TESTS=yes go test $(TESTARGS) -timeout=60s -run=Integ .
	INTEG_TESTS=yes go test $(TESTARGS) -timeout=60s -tags batchtest -run=Integ .

fuzz:
	cd ./fuzzy && go test $(TESTARGS) -timeout=20m .
	cd ./fuzzy && go test $(TESTARGS) -timeout=20m -tags batchtest .

deps:
	go get -t -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

lint:
	gofmt -s -w .
	golangci-lint run -c .golangci-lint.yml $(FMT) .

dep-linter:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(ENV)/bin $(GOLANG_CI_VERSION)

cov:
	INTEG_TESTS=yes gocov test github.com/hashicorp/raft | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

.PHONY: test cov integ deps dep-linter lint

=== debian/changelog ===
golang-github-hashicorp-raft (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add flaky TestRaft_HasExistingState to skipped tests

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 27 Jul 2023 15:11:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
                golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
+               golang-github-stretchr-testify-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft.git
@@ -25,7 +26,6 @@
          golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
          golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: implementation of the Raft consensus protocol
  raft is a Go library that manages a replicated log and can be
  used with an FSM to manage replicated state machines. It is

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,13 @@
 # dependency.
 export DH_GOLANG_EXCLUDES := fuzzy
 
+# We will ignore the many intermittent test failures on s390x
+ifeq ($(DEB_BUILD_ARCH),s390x)
+  MINUS:=-
+endif
+
 %:
 	dh $@ --buildsystem=golang
+
+override_dh_auto_test:
+	$(MINUS)dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/hashicorp/raft/tags .*/v?(\d\S*)\.tar\.gz debian
